diff --git a/arch/arm/boot/dts/sun4i-a10.dtsi b/arch/arm/boot/dts/sun4i-a10.dtsi
index 73c3ac42095f..93bc260a80af 100644
--- a/arch/arm/boot/dts/sun4i-a10.dtsi
+++ b/arch/arm/boot/dts/sun4i-a10.dtsi
@@ -343,6 +343,7 @@
 				      "tcon-ch1";
 			clock-output-names = "tcon0-pixel-clock";
 			dmas = <&dma SUN4I_DMA_DEDICATED 14>;
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
@@ -392,6 +393,7 @@
 				      "tcon-ch1";
 			clock-output-names = "tcon1-pixel-clock";
 			dmas = <&dma SUN4I_DMA_DEDICATED 15>;
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
diff --git a/arch/arm/boot/dts/sun5i.dtsi b/arch/arm/boot/dts/sun5i.dtsi
index ccd793795e58..14205dc18435 100644
--- a/arch/arm/boot/dts/sun5i.dtsi
+++ b/arch/arm/boot/dts/sun5i.dtsi
@@ -276,6 +276,7 @@
 				      "tcon-ch1";
 			clock-output-names = "tcon-pixel-clock";
 			status = "disabled";
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
diff --git a/arch/arm/boot/dts/sun6i-a31.dtsi b/arch/arm/boot/dts/sun6i-a31.dtsi
index 2bc273ce2fe4..e8eebc60787c 100644
--- a/arch/arm/boot/dts/sun6i-a31.dtsi
+++ b/arch/arm/boot/dts/sun6i-a31.dtsi
@@ -292,6 +292,7 @@
 				      "tcon-ch0",
 				      "tcon-ch1";
 			clock-output-names = "tcon0-pixel-clock";
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
@@ -340,6 +341,7 @@
 				      "tcon-ch0",
 				      "tcon-ch1";
 			clock-output-names = "tcon1-pixel-clock";
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
diff --git a/arch/arm/boot/dts/sun7i-a20.dtsi b/arch/arm/boot/dts/sun7i-a20.dtsi
index c153ded1a275..2a74eeabe8dc 100644
--- a/arch/arm/boot/dts/sun7i-a20.dtsi
+++ b/arch/arm/boot/dts/sun7i-a20.dtsi
@@ -407,6 +407,7 @@
 				      "tcon-ch1";
 			clock-output-names = "tcon0-pixel-clock";
 			dmas = <&dma SUN4I_DMA_DEDICATED 14>;
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
@@ -456,6 +457,7 @@
 				      "tcon-ch1";
 			clock-output-names = "tcon1-pixel-clock";
 			dmas = <&dma SUN4I_DMA_DEDICATED 15>;
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
diff --git a/arch/arm/boot/dts/sun8i-a23-a33.dtsi b/arch/arm/boot/dts/sun8i-a23-a33.dtsi
index 1c1320cfd546..738618cde72f 100644
--- a/arch/arm/boot/dts/sun8i-a23-a33.dtsi
+++ b/arch/arm/boot/dts/sun8i-a23-a33.dtsi
@@ -188,6 +188,7 @@
 			resets = <&ccu RST_BUS_LCD>;
 			reset-names = "lcd";
 			status = "disabled";
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
diff --git a/arch/arm/boot/dts/sun8i-a83t.dtsi b/arch/arm/boot/dts/sun8i-a83t.dtsi
index 2d06070bd2bf..1453a4afabf5 100644
--- a/arch/arm/boot/dts/sun8i-a83t.dtsi
+++ b/arch/arm/boot/dts/sun8i-a83t.dtsi
@@ -435,6 +435,7 @@
 			clock-output-names = "tcon-pixel-clock";
 			resets = <&ccu RST_BUS_TCON0>, <&ccu RST_BUS_LVDS>;
 			reset-names = "lcd", "lvds";
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
diff --git a/arch/arm/boot/dts/sun8i-v3s.dtsi b/arch/arm/boot/dts/sun8i-v3s.dtsi
index ebb496bc8cf5..5bf7c3940add 100644
--- a/arch/arm/boot/dts/sun8i-v3s.dtsi
+++ b/arch/arm/boot/dts/sun8i-v3s.dtsi
@@ -150,6 +150,7 @@
 			resets = <&ccu RST_BUS_TCON0>;
 			reset-names = "lcd";
 			status = "disabled";
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
diff --git a/arch/arm/boot/dts/sun9i-a80.dtsi b/arch/arm/boot/dts/sun9i-a80.dtsi
index 7ac1e50808a2..a991f689b99a 100644
--- a/arch/arm/boot/dts/sun9i-a80.dtsi
+++ b/arch/arm/boot/dts/sun9i-a80.dtsi
@@ -870,6 +870,7 @@
 			resets = <&ccu RST_BUS_LCD0>, <&ccu RST_BUS_EDP>;
 			reset-names = "lcd", "edp";
 			clock-output-names = "tcon0-pixel-clock";
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;
diff --git a/arch/arm64/boot/dts/allwinner/sun50i-a64.dtsi b/arch/arm64/boot/dts/allwinner/sun50i-a64.dtsi
index ccd143d82aea..6b0b1a55a005 100644
--- a/arch/arm64/boot/dts/allwinner/sun50i-a64.dtsi
+++ b/arch/arm64/boot/dts/allwinner/sun50i-a64.dtsi
@@ -354,6 +354,7 @@
 			clock-output-names = "tcon-pixel-clock";
 			resets = <&ccu RST_BUS_TCON0>, <&ccu RST_BUS_LVDS>;
 			reset-names = "lcd", "lvds";
+			#clock-cells = <0>;
 
 			ports {
 				#address-cells = <1>;